## freeradius-0.3.tar.gz

=== Makefile ===
#
# Makefile
#
#		NOTE: This top-level Makefile must not
#		use GNU-make extensions. The lower ones can.
#
# Version:	$Id: Makefile,v 1.29 2001/08/22 17:31:55 aland Exp $
#

include Make.inc

SUBDIRS		= libltdl src raddb scripts
WHAT_TO_MAKE	= all

all:
	@$(MAKE) $(MFLAGS) WHAT_TO_MAKE=$@ common

clean:
	@$(MAKE) $(MFLAGS) WHAT_TO_MAKE=$@ common
	@rm -f *~

install:
	@$(MAKE) $(MFLAGS) WHAT_TO_MAKE=$@ common
	$(INSTALL) -d -m 755	$(R)$(mandir);
	$(INSTALL) -d -m 755	$(R)$(RUNDIR);
	$(INSTALL) -d -m 700	$(R)$(logdir);
	$(INSTALL) -d -m 700	$(R)$(radacctdir);
	for i in 1 5 8; do \
		$(INSTALL) -d -m 755	$(R)$(mandir)/man$$i; \
		for p in man/man$$i/*.$$i; do \
			$(INSTALL) -m 644 $$p $(R)$(mandir)/man$$i; \
		done \
	done
	@echo "Creating/updating files in $(R)$(raddbdir)"; \
	$(INSTALL) -d -m 755	$(R)$(raddbdir); \
	cd raddb; \
	for i in [a-c]* [e-z]*; do \
		[ $$i != radiusd.conf.in -a ! -f $(R)$(raddbdir)/$$i ] && \
                $(INSTALL) -m 644 $$i $(R)$(raddbdir); \
	done; \
	for i in dictionary*; do \
		[ ! -f $(R)$(raddbdir)/$$i ] && $(INSTALL) -m 644 $$i $(R)$(raddbdir); \
		if [ "`find $$i -newer $(R)$(raddbdir)/$$i`" ]; then \
			echo "** $(R)$(raddbdir)/$$i"; \
			nt=1; \
		fi; \
	done; \
	if [ "$$nt" ]; then \
		echo "** The samples in ../raddb are newer than these files";\
		echo "** Please investigate and copy manually if appropriate";\
	fi

common:
	@for dir in $(SUBDIRS); do \
		echo "Making $(WHAT_TO_MAKE) in $$dir..."; \
		(cd $$dir && $(MAKE) $(MFLAGS) $(WHAT_TO_MAKE)) || exit 1;\
	done

distclean: clean
	rm -f config.cache config.log config.status libtool \
		src/include/radpaths.h src/include/stamp-h \
		libltdl/config.log libltdl/config.status \
		libltdl/libtool
	-find . ! -name configure.in -name \*.in -print | \
		sed 's/\.in$$//' | \
		while read file; do rm -f $$file; done
	-find src/modules -name config.mak | \
		while read file; do rm -f $$file; done
	-find src/modules -name config.h | \
		while read file; do rm -f $$file; done

######################################################################
#
#  Automatic remaking rules suggested by info:autoconf#Automatic_Remaking
#
######################################################################
reconfig: configure src/include/autoconf.h.in

configure: configure.in aclocal.m4
	$(AUTOCONF)

# autoheader might not change autoconf.h.in, so touch a stamp file
src/include/autoconf.h.in: src/include/stamp-h.in acconfig.h
src/include/stamp-h.in: configure.in acconfig.h
	$(AUTOHEADER)
	echo timestamp > src/include/stamp-h.in

src/include/autoconf.h: src/include/stamp-h
src/include/stamp-h: src/include/autoconf.h.in config.status
	./config.status

config.status: configure
	./config.status --recheck

configure.in:

=== src/main/Makefile ===
#
# $Id: Makefile,v 1.49 2001/06/02 02:01:24 cmiller Exp $
#

include ../../Make.inc

SERVER_OBJS	= radiusd.o files.o util.o acct.o nas.o log.o valuepair.o \
		  version.o proxy.o exec.o auth.o timestr.o conffile.o \
		  modules.o modcall.o session.o xlat.o threads.o smux.o \
		  radius_snmp.o client.o request_list.o
INCLUDES	= ../include/radiusd.h ../include/conf.h ../include/autoconf.h

CFLAGS		+= -I../include $(SNMP_INCLUDE) 
LDFLAGS		+= -L../lib
LIBS		+= -lradius $(SNMP_LIBS)
MODULE_LIBS	= $(STATIC_MODULES)

#
#  Not using shared libraries, add in ALL known static modules
# at build time.
#
ifneq ($(USE_SHARED_LIBS),yes)
MODULE_LIBS	+= $(shell for x in ../modules/rlm_*/rlm_*.la;do echo -dlpreopen $$x;done)
endif

all:	radiusd radwho radzap raduse radclient

radiusd: $(SERVER_OBJS) ../lib/libradius.a
	$(LIBTOOL) --mode=link $(CC) -export-dynamic -dlopen self \
		$(CFLAGS) $(LDFLAGS) -o $@ \
		$(SERVER_OBJS) $(LIBS) $(LCRYPT) \
		$(PTHREADLIB) $(LIBLTDL) $(MODULE_LIBS) 

radiusd.o: radiusd.c $(INCLUDES)  ../include/request_list.h ../include/modules.h ../include/modcall.h ../include/modpriv.h
	$(CC) $(CFLAGS) -c radiusd.c

acct.o: acct.c $(INCLUDES) ../include/modules.h
	$(CC) $(CFLAGS) -c acct.c

files.o: files.c $(INCLUDES)
	$(CC) $(CFLAGS) -c files.c

util.o: util.c $(INCLUDES)
	$(CC) $(CFLAGS) -c util.c

nas.o:  nas.c $(INCLUDES)
	$(CC) $(CFLAGS) -c nas.c

log.o:  log.c $(INCLUDES)
	$(CC) $(CFLAGS) -c log.c

conffile.o: conffile.c $(INCLUDES) ../include/modules.h
	$(CC) $(CFLAGS) -c conffile.c

timestr.o: timestr.c $(INCLUDES)
	$(CC) $(CFLAGS) -c timestr.c

modules.o:  modules.c $(INCLUDES)
	$(CC) $(CFLAGS) $(INCLTDL) -c modules.c

modcall.o:  modcall.c $(INCLUDES)
	$(CC) $(CFLAGS) $(INCLTDL) -c modcall.c

session.o:  session.c $(INCLUDES) ../include/modules.h
	$(CC) $(CFLAGS) -c session.c

request_list.o:  request_list.c $(INCLUDES)
	$(CC) $(CFLAGS) -c request_list.c

request_tree.o:  request_tree.c $(INCLUDES)
	$(CC) $(CFLAGS) -c request_tree.c

proxy.o:  proxy.c $(INCLUDES)
	$(CC) $(CFLAGS) -c proxy.c

exec.o:  exec.c $(INCLUDES)
	$(CC) $(CFLAGS) -c exec.c

auth.o:  auth.c $(INCLUDES) ../include/modules.h
	$(CC) $(CFLAGS) -c auth.c

valuepair.o:  valuepair.c $(INCLUDES)
	$(CC) $(CFLAGS) -c valuepair.c

version.o: version.c $(INCLUDES)
	$(CC) $(CFLAGS) -o version.o -c version.c

xlat.o: xlat.c $(INCLUDES)
	$(CC) $(CFLAGS) -o xlat.o -c xlat.c

threads.o: threads.c $(INCLUDES)
	$(CC) $(CFLAGS) -o threads.o -c threads.c

smux.o: smux.c $(INCLUDES)
	$(CC) $(CFLAGS) -o smux.o -c smux.c

radius_snmp.o: radius_snmp.c $(INCLUDES)
	$(CC) $(CFLAGS) -o radius_snmp.o -c radius_snmp.c

radclient: radclient.o ../lib/libradius.a
	$(CC) $(CFLAGS) $(LDFLAGS) -o radclient radclient.o $(LIBS)

radclient.o: radclient.c $(INCLUDES)
	$(CC) $(CFLAGS) -c radclient.c

builddbm: builddbm.o files_b.o log.o
	$(CC) $(LDFLAGS) -o builddbm builddbm.o files_b.o log.o $(LDBM) $(LIBS)

builddbm.o: builddbm.c
	$(CC) $(CFLAGS) -c builddbm.c

radwho.o: radwho.c $(INCLUDES)
	$(CC) $(CFLAGS) -c radwho.c

radwho: radwho.o util.o nas.o client.o log.o conffile.o files.o
	$(CC) $(LDFLAGS) -o radwho radwho.o util.o nas.o client.o log.o conffile.o files.o $(LIBS)

raduse: raduse.o
	$(CC) $(CFLAGS) $(LDFLAGS) -o raduse raduse.o $(LIBS)

radzap.o: radzap.c $(INCLUDES)
	$(CC) $(CFLAGS) -c radzap.c

radzap: radzap.o util.o nas.o log.o client.o conffile.o files.o
	$(CC) $(CFLAGS) $(LDFLAGS) -o radzap radzap.o util.o nas.o log.o client.o conffile.o files.o $(LIBS)

clean:
	rm -rf *.o *.so *~ modules_static.h radiusd radwho raduse \
		radclient radzap builddbm .libs

install:
	$(INSTALL) -d -m 755			$(R)$(sbindir)
	$(LIBTOOL) --mode=install $(INSTALL) -m 755 $(INSTALLSTRIP) radiusd	$(R)$(sbindir)
	$(INSTALL) -m 755    checkrad.pl	$(R)$(sbindir)/checkrad
	$(INSTALL) -d -m 755			$(R)$(bindir)
	$(INSTALL) -m 755 $(INSTALLSTRIP) radwho		$(R)$(bindir)
	$(INSTALL) -m 755 $(INSTALLSTRIP) raduse		$(R)$(bindir)
	$(INSTALL) -m 755 $(INSTALLSTRIP) radzap		$(R)$(bindir)
	$(INSTALL) -m 755    radlast		$(R)$(bindir)
	$(INSTALL) -m 755    radclient		$(R)$(bindir)
	$(INSTALL) -m 755    radtest 		$(R)$(bindir)
	$(INSTALL) -d -m 755			$(R)$(logdir)
	$(INSTALL) -d -m 755			$(R)$(radacctdir)

=== src/modules/Makefile ===
#
# Makefile	
#
# Version:	$Id: Makefile,v 1.18 2001/03/06 23:44:50 cmiller Exp $
#

include ../../Make.inc

WHAT_TO_MAKE	= all

#
#  Build static AND dynamic libraries by default.
#  Later, we'll figure out how to get libtool to automagically do this.
#
TARGET_LIBS = static dynamic

all:
	@$(MAKE) $(MFLAGS) WHAT_TO_MAKE=$@ common

static:
	@[$$USE_STATIC_LIBS = "yes" ] && $(MAKE) $(MFLAGS) WHAT_TO_MAKE=$@ common

dynamic:
	@[$$USE_SHARED_LIBS = "yes" ] && $(MAKE) $(MFLAGS) WHAT_TO_MAKE=$@ common

install:
	$(INSTALL) -d -m 755 $(R)$(libdir)
	@$(MAKE) $(MFLAGS) WHAT_TO_MAKE=$@ common

clean:
	@$(MAKE) $(MFLAGS) WHAT_TO_MAKE=$@ common
	@rm -f *~ lib/[0-9a-z]*

distclean:
	@$(MAKE) $(MFLAGS) WHAT_TO_MAKE=$@ common

common:
	@[ -d lib/ ] || mkdir lib
	@for mod in rlm_*; do \
		what=$(WHAT_TO_MAKE); \
		[ "$$what" = "all" ] && what="$(TARGET_LIBS)"; \
		echo "Making $$what in $$mod..."; \
		(cd $$mod && $(MAKE) $(MFLAGS) $$what) || exit 1;\
	done

=== debian/changelog ===
radiusd-freeradius (0.2+20010917-1) unstable; urgency=low

  * Removed old mysql build-dep.  (closes: Bug#112541)

 -- Chad Miller <cmiller@debian.org>  Mon, 17 Sep 2001 11:38:24 -0400

radiusd-freeradius (0.2+20010912-1) unstable; urgency=low

  * Build-dep mysql changed package names.
  * Added build-dep for libmysqlclient10-dev.  (closes: Bug#111880)
  * In acct_users, keep reply pairs.
  * Integer values are printed as unsigned numbers, to comply with RFC2866.
  * Fixed broken/reversed auth comparisons in SQL module.
  * Sucked out CPPness from inside a printf, as printf is a macro in newer
    compilers (gcc3.0, e.g.).  (closes: Bug#100889)
  * Sundry LDAP configuration, unresponsive thread, and proxying fixes.
  * Added user 'freerad' into the 'shadow' group.
  * Fixed UUCP-style of restricting time of log-in.
  * Changed debugging messages to give more info about execution flow.
  * Better counter module.  
  * Inserted CHAP support for SQL modules.
  * Removed possible infinite loop.

 -- Chad Miller <cmiller@debian.org>  Wed, 12 Sep 2001 21:21:47 -0400

radiusd-freeradius (0.1+20010527-1) unstable; urgency=low

  * Updated config.{guess,sub} to recent versions.  (closes: Bug#98183)
  * Updated build-dep to reflect supercession of libltdl0-dev by libltdl3-dev
    (closes: Bug#98914)

 -- Chad Miller <cmiller@debian.org>  Sun, 27 May 2001 11:44:40 -0400

radiusd-freeradius (0.1+20010517-1) unstable; urgency=low

  * Moved package to non-US to allow in Kerberos and PostgreSQL.
  * Set Suggests of modules to main package.
  * Better compile-time support of *BSD.

 -- Chad Miller <cmiller@debian.org>  Thu, 17 May 2001 14:46:51 -0400

radiusd-freeradius (0.1-1) unstable; urgency=low

  * First beta release!
  * Added generalized SQL support for ODBC, Oracle, MySQL, and Postgres.
  * Added shasta, microsoft, and redback dictionaries.
  * Fixed rc.d restart rule.
  * Added a user to own the daemon and logfiles.
  * SQL DB handles more forgiving of unreachable servers at startup.
  * SQL Crypt-Password attribute support.
  * Fixed cron log rotation.
  * Put module libraries in own directory.
  * Removed bogus build-dep.  (closes: Bug#87277)
  * Better permissions on /etc/raddb
  * Use correct LDAP library.
  * Fork ldap, postgresql, and mysql modules into different packages.
  * Remove Kerberos, as it's restricted from export.

 -- Chad Miller <cmiller@debian.org>  Mon,  7 May 2001 16:37:46 -0400

radiusd-freeradius (0.0.20010109-1) unstable; urgency=low

  * Changed priority, from standard to optional.

 -- Chad Miller <cmiller@debian.org>  Tue,  9 Jan 2001 14:01:38 -0500

radiusd-freeradius (0.0.20001227-1) unstable; urgency=low

  * Initial revision. (closes: Bug#76476)

 -- Chad Miller <cmiller@debian.org>  Wed, 27 Dec 2000 11:58:56 -0500

=== debian/control ===
Source: radiusd-freeradius
Build-Depends: debhelper, libltdl3-dev | libltdl0-dev, libpam0g-dev, postgresql-dev, libmysqlclient10-dev, libgdbmg1-dev, libldap2-dev, libsasl-dev, libsnmp4.2-dev, libiodbc2-dev, libkrb5-dev
Section: non-US/main
Priority: optional
Maintainer: Chad Miller <cmiller@debian.org>
Standards-Version: 3.2.1

Package: radiusd-freeradius
Architecture: any
Depends: ${shlibs:Depends}
Provides: radiusd
Suggests: radiusd-freeradius-ldap, radiusd-freeradius-postgresql, radiusd-freeradius-mysql, radiusd-freeradius-krb5
Conflicts: radiusd, radiusd-livingston, radiusd-cistron
Description: A high-performance and highly configurable RADIUS server
 A high-performance RADIUS server derived from Cistron's server, and
 generally similar to Livingston's 2.0 server, with support for...
  - many vendor-specific attributes
  - proxying and replicating requests by any criteria
  - authentication on system passwd, SQL, Kerberos, LDAP, users file, or PAM
  - multiple DEFAULT configurations
  - regexp matching in string attributes
 and lots more.

Package: radiusd-freeradius-krb5
Architecture: any
Depends: radiusd-freeradius, ${shlibs:Depends}
Description: Kerberos module for FreeRADIUS server.
 The FreeRADIUS server can use Kerberos to authenticate users, and this module
 is necessary for that.

Package: radiusd-freeradius-ldap
Architecture: any
Depends: radiusd-freeradius, ${shlibs:Depends}
Description: LDAP module for FreeRADIUS server.
 The FreeRADIUS server can use LDAP to authenticate users, and this module
 is necessary for that.

Package: radiusd-freeradius-postgresql
Architecture: any
Depends: radiusd-freeradius, ${shlibs:Depends}
Description: PostgreSQL module for FreeRADIUS server.
 The FreeRADIUS server can use PostgreSQL to authenticate users and do
 accounting, and this module is necessary for that.

Package: radiusd-freeradius-mysql
Architecture: any
Depends: radiusd-freeradius, ${shlibs:Depends}
Description: MySQL module for FreeRADIUS server.
 The FreeRADIUS server can use MySQL to authenticate users and do accounting,
 and this module is necessary for that.

=== debian/rules ===
#! /usr/bin/make -f
#
#	debian/rules file for freeradius
#

SHELL=/bin/bash
DH_COMPAT=3

package = freeradius
debiandir = $(shell pwd)/debian
tmp     = $(debiandir)/tmp

prefix	= /
exec_prefix	= /usr
mandir	= $(exec_prefix)/share/man
libdir	= $(exec_prefix)/lib/freeradius
logdir	= /var/log/radiusd-freeradius
pkgdocdir	= $(exec_prefix)/share/doc/radiusd-freeradius
raddbdir	= $(prefix)/etc/raddb

build:
# Builds the binary package.
	dh_testdir
	# dh_testroot
	./configure --prefix=$(prefix) --exec-prefix=$(exec_prefix) --libdir=$(libdir) --mandir=$(mandir) --with-logdir=$(logdir) --with-thread-pool --enable-ltdl-install=no --enable-strict-dependencies
	make
	touch build

# Architecture independant files.
binary-indep: build

# Make a binary package (.deb file)
binary-arch: build
	dh_clean
	dh_installdirs
	make install prefix=$(prefix) exec_prefix=$(exec_prefix) mandir=$(mandir) libdir=$(libdir) R=$(tmp)
	# clean up install cruft.  $$&@!%
	rmdir $(tmp)/$(execprefix)/include
	rm $(tmp)/$(execprefix)/usr/sbin/rc.radiusd
	# split out inconvenient/controversal modules to other places
	for modname in krb5 ldap mysql postgresql; do \
		mkdir -p $(debiandir)/radiusd-freeradius-$${modname}/$(libdir); \
		mv $(tmp)/$(libdir)/rlm*_$${modname}.* $(debiandir)/radiusd-freeradius-$${modname}/$(libdir)/; \
	done
	# man pages & docs
	dh_undocumented 
	install -g root -m 644 CREDITS $(tmp)/$(pkgdocdir)/credits
	find doc -type f -maxdepth 1 ! -path doc/ChangeLog -exec dh_installdocs {} \;
	find src/modules/rlm_sql/drivers -type f -name \*.sql -exec dh_installdocs {} \;
	# dh_installchangelogs doc/ChangeLog
	dh_compress
	# supporting programs
	install -g root -m 755 scripts/radiusd.cron.daily $(tmp)/$(prefix)/etc/cron.daily/freeradius
	install -g root -m 755 scripts/radiusd.cron.monthly $(tmp)/$(prefix)/etc/cron.monthly/freeradius
	install -g root -m 755 $(debiandir)/initscript $(tmp)/$(prefix)/etc/init.d/freeradius
	TEMPFILE=`mktemp /tmp/radconf-XXXXXX`; \
	cp $(tmp)/$(raddbdir)/radiusd.conf $$TEMPFILE; \
	cat $$TEMPFILE \
		| sed -e 's/        /	/g' \
		| sed -e '/^	example {/,/^	}/s/^/#/' \
		| sed -e 's/^		#	shadow		=/		shadow		=/' \
		| sed -e 's#^\(run_dir = .{localstatedir}/run\)#\1/radiusd#' \
		| sed -e 's/^group = nobody/group = freerad/' \
		| sed -e 's/^user = nobody/user = freerad/' \
			> $(tmp)/$(raddbdir)/radiusd.conf; \
	rm $$TEMPFILE
	# 
	dh_strip
	dh_installchangelogs
	dh_makeshlibs
	dh_shlibdeps
	dh_installdeb
	dh_compress
	dh_fixperms
	dh_md5sums
	dh_gencontrol
	dh_builddeb

clean:	
	rm -f build debian/{files,substvars} debian/*.debhelper
	[ -f Make.inc ] && make distclean || true
	dh_clean
	rm -rf $(tmp) radiusd-freeradius-{ldap,postgresql,mysql,krb5}{,.substvars}

binary: binary-indep binary-arch

# for the maintainer only
sanitycheck:
	@echo -n "sanity: checking for overzealous undocumented file... "
	@find man/ -type f |grep \. |sed -e 's%man/man./%%' | { \
		while read manpage; do \
			grep $$manpage debian/radiusd-freeradius.undocumented | read filename && echo -n $$filename; \
		done; \
	} || true
	@test -n $$filename
	@echo good.

.PHONY: binary binary-arch binary-indep clean sanitycheck
